CC      = gcc
LD      = ld
OBJCOPY = objcopy

CFLAGS  = -nostdinc -nostdlib -mregnames -Wall -Werror -fno-builtin \
	  -fomit-frame-pointer -isystem `$(CC) -print-file-name=include` \
	  -I.
LDFLAGS = -e_start -nostdlib -Bstatic 

%.mod.bin: %.mod
	$(OBJCOPY) --input-target=binary --output-target=default \
		   --binary-architecture=powerpc $< $@

%.c.o: %.c
	$(CC) $(CFLAGS) -c  -o  $@ $<
%.S.o: %.S
	$(CC) $(CFLAGS) -c  -o  $@ $<
