
unit of;
interface

{
  Automatically converted by H2Pas 1.0.0 from of.h
  The following command line parameters were used:
    of.h
}

  Type
  Pchar  = ^char;
{$IFDEF FPC}
{$PACKRECORDS C}
{$ENDIF}


  {*
   * Copyright (c) 2005, David Holm
   * All rights reserved.
   *
   * Redistribution and use in source and binary forms, with or without
   * modification, are permitted provided that the following conditions are met:
   *
   *   * Redistributions of source code must retain the above copyright notice,
   *     this list of conditions and the following disclaimer.
   *   * Redistributions in binary form must reproduce the above copyright
   *     notice, this list of conditions and the following disclaimer in the
   *     documentation and/or other materials provided with the distribution.
   *   * Neither the name of the project nor the names of its contributors
   *     may be used to endorse or promote products derived from this software
   *     without specific prior written permission.
   *
   * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
   * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
   * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
   * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
   * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
   * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
   * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
   * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
   * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
   * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
   * POSSIBILITY OF SUCH DAMAGE.
    }
{$ifndef __OF_H}
{$define __OF_H}  
{$include <stdarg.h>}

  type

     ihandle = void;

     phandle = void;

     prom_entry = function (_para1:pointer):longint;cdecl;

     mem_region_s = record
          address : dword;
          len : dword;
       end;
     mem_region_t = mem_region_s;

     mem_translation_s = record
          vaddr : dword;
          len : dword;
          paddr : dword;
          mode : dword;
       end;
     mem_translation_t = mem_translation_s;

     of_s = record
          entry : prom_entry;
          stdin : ihandle;
          stdout : ihandle;
       end;
     of_t = of_s;
(* Const before type ignored *)

     of_args = record
          service : ^char;
          nargs : longint;
          nret : longint;
          args : array[0..9] of pointer;
       end;
     of_targs = of_args;

  procedure of_init(entry:prom_entry);

(* Const before type ignored *)
  function of_find_device(name:Pchar):phandle;

(* Const before type ignored *)
  function of_get_property(package:phandle; name:Pchar; mem:pointer; len:dword):longint;

  function of_exit:longint;

  procedure of_puts(s:Pchar);

  procedure of_printf(fmt:Pchar; args:array of const);

  function of_claim(vaddr:pointer; len:dword; align:dword):pointer;

  procedure of_release(vaddr:pointer; len:dword);

{$endif}
  { __OF_H  }

implementation

  procedure of_init(entry:prom_entry);
  begin
    { You must implement this function }
  end;
  function of_find_device(name:Pchar):phandle;
  begin
    { You must implement this function }
  end;
  function of_get_property(package:phandle; name:Pchar; mem:pointer; len:dword):longint;
  begin
    { You must implement this function }
  end;
  function of_exit:longint;
  begin
    { You must implement this function }
  end;
  procedure of_puts(s:Pchar);
  begin
    { You must implement this function }
  end;
  procedure of_printf(fmt:Pchar);
  begin
    { You must implement this function }
  end;
  function of_claim(vaddr:pointer; len:dword; align:dword):pointer;
  begin
    { You must implement this function }
  end;
  procedure of_release(vaddr:pointer; len:dword);
  begin
    { You must implement this function }
  end;

end.
